Package com.explodingpixels.widgets.plaf

## Class EPTabPainter

- java.lang.Object
- - com.explodingpixels.widgets.plaf.EPTabPainter

    public class EPTabPainter
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `EPTabPainter.CloseButtonLocation`

### Constructor Summary

Constructors
`EPTabPainter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isPointOverCloseButton​(java.awt.Rectangle tabBounds, java.awt.Point point)`
`void` `paintTab​(java.awt.Graphics2D graphics, javax.swing.JTabbedPane tabPane, java.awt.Rectangle tabBounds, java.lang.String tabText, javax.swing.Icon tabIcon, boolean isSelected, boolean isMouseOverCloseButton, boolean isMousePressedOverCloseButton)`
`void` `setCloseButtonLocation​(EPTabPainter.CloseButtonLocation closeButtonLocation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EPTabPainter

    public EPTabPainter()

### Method Detail

#### setCloseButtonLocation

    public void setCloseButtonLocation​(EPTabPainter.CloseButtonLocation closeButtonLocation)

#### paintTab

    public void paintTab​(java.awt.Graphics2D graphics,
                         javax.swing.JTabbedPane tabPane,
                         java.awt.Rectangle tabBounds,
                         java.lang.String tabText,
                         javax.swing.Icon tabIcon,
                         boolean isSelected,
                         boolean isMouseOverCloseButton,
                         boolean isMousePressedOverCloseButton)

#### isPointOverCloseButton

    public boolean isPointOverCloseButton​(java.awt.Rectangle tabBounds,
                                          java.awt.Point point)